// *******************************************************
// *                                                     *
// *    JAVA  Applikation:   TuningServer                *
// *                                                     *
// *                                                     *
// *    fine tuning for balance room                     *
// *    multicast network communication                  *
// *                                                     *
// *                                                     *
// *    author: jochen viehoff                           *
// *                                                     *
// *******************************************************

import java.applet.*;                          //  hier werden die Systemroutinen
import java.awt.*;                             //  geladen
import java.awt.Frame;                             //  geladen
import java.awt.event.*;
import java.awt.image.*;
import java.util.*;
import java.net.*;
import java.io.*;


public class TuningServer extends Frame implements KeyListener{
        
    int myID = 1;
    MultiCastServer tuningServer;
    
    //    ******************************************
    //      main method in class Integrate
    //    ******************************************
    
    public static void main(String[] args) {
        
        TuningServer myServer = new TuningServer();
        myServer.show();
    }
    
    
    //    ******************************************
    //      constructor of Integrate2
    //    ******************************************
    
    public TuningServer() {
        
        addKeyListener(this);
        
        // start multicast server
        MultiCastServer tuningServer = new MultiCastServer(myID);
        
    }
    
    // ****************************************************
    //   KeyEvents
    // ****************************************************
    
    public void keyPressed(KeyEvent evt)  {
        
        int keyCode;
        keyCode = evt.getKeyCode();
        tuningServer.update(330.0f,0.0f);
        
        // ****************************************************
        //   Tuning for 1. Display
        // ****************************************************
        
        if (keyCode==KeyEvent.VK_RIGHT) {
            tuningServer.update(100.0f,0.0f);
        }
        if (keyCode==KeyEvent.VK_LEFT) {
            tuningServer.update(101.0f,0.01f);
        }
        if (keyCode==KeyEvent.VK_UP) {
            tuningServer.update(102.0f,0.0f);
        }
        if (keyCode==KeyEvent.VK_DOWN) {
            tuningServer.update(103.0f,0.0f);
        }
        if (keyCode==KeyEvent.VK_N) {
            tuningServer.update(104.0f,0.0f);
        }
        if (keyCode==KeyEvent.VK_M) {
            tuningServer.update(105.0f,0.0f);
        }
        if (keyCode==KeyEvent.VK_K) {
            tuningServer.update(106.0f,0.0f);
        }
        if (keyCode==KeyEvent.VK_L) {
            tuningServer.update(107.0f,0.0f);
        }
        if (keyCode==KeyEvent.VK_O) {
            tuningServer.update(108.0f,0.0f);
        }
        if (keyCode==KeyEvent.VK_P) {
            tuningServer.update(109.0f,0.0f);
        }
        if (keyCode==KeyEvent.VK_U) {
            tuningServer.update(110.0f,0.0f);
        }
        if (keyCode==KeyEvent.VK_I) {
            tuningServer.update(111.0f,0.0f);
        }
        if (keyCode==KeyEvent.VK_H) {
            tuningServer.update(112.0f,0.0f);
        }
        if (keyCode==KeyEvent.VK_J) {
            tuningServer.update(113.0f,0.0f);
        }
        if (keyCode==KeyEvent.VK_8) {
            tuningServer.update(114.0f,0.0f);
        }
        if (keyCode==KeyEvent.VK_9) {
            tuningServer.update(115.0f,0.0f);
        }
        
        // ****************************************************
        //   Tuning for 2. Display
        // ****************************************************

        if (keyCode==KeyEvent.VK_S) {
            tuningServer.update(200.0f,0.0f);
        }
        if (keyCode==KeyEvent.VK_A) {
            tuningServer.update(201.0f,0.01f);
        }
        if (keyCode==KeyEvent.VK_W) {
            tuningServer.update(202.0f,0.0f);
        }
        if (keyCode==KeyEvent.VK_Y) {
            tuningServer.update(203.0f,0.0f);
        }
        if (keyCode==KeyEvent.VK_E) {
            tuningServer.update(204.0f,0.0f);
        }
        if (keyCode==KeyEvent.VK_R) {
            tuningServer.update(205.0f,0.0f);
        }
        if (keyCode==KeyEvent.VK_D) {
            tuningServer.update(206.0f,0.0f);
        }
        if (keyCode==KeyEvent.VK_F) {
            tuningServer.update(207.0f,0.0f);
        }
        if (keyCode==KeyEvent.VK_X) {
            tuningServer.update(208.0f,0.0f);
         }
        if (keyCode==KeyEvent.VK_C) {
            tuningServer.update(209.0f,0.0f);
        }
        if (keyCode==KeyEvent.VK_T) {
            tuningServer.update(210.0f,0.0f);
       }
        if (keyCode==KeyEvent.VK_Z) {
            tuningServer.update(211.0f,0.0f);
        }
        if (keyCode==KeyEvent.VK_1) {
            tuningServer.update(212.0f,0.0f);
        }
        if (keyCode==KeyEvent.VK_2) {
            tuningServer.update(213.0f,0.0f);
        }
        if (keyCode==KeyEvent.VK_3) {
            tuningServer.update(214.0f,0.0f);
        }
        if (keyCode==KeyEvent.VK_4) {
            tuningServer.update(215.0f,0.0f);
        }
        
    }
    
    public void keyReleased(KeyEvent evt) {
        tuningServer.update(330.0f,0.0f);   
    }
    public void keyTyped(KeyEvent evt)    {}
}
// ******************************************************
// ******************************************************

